it-swarm.com.de

Maven kann unter Ubuntu 16.04 nicht installiert werden

Ich kann maven nicht auf meinem System installieren, das ich mit dem folgenden Befehl versucht habe:

Sudo apt-get install maven

Es gibt mir folgende Fehler:

Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
  libperl5.22 : Depends: Perl-modules-5.22 (>= 5.22.1-9ubuntu0.2) but 5.22.1-9 is to be installed
  maven : Depends: libmaven3-core-Java (= 3.3.9-3) but it is not going to be installed
  Perl : Depends: Perl-modules-5.22 (>= 5.22.1-9ubuntu0.2) but 5.22.1-9 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Ich habe keine Ahnung, was hier passiert und wie ich es installiere.

1
NarendraR

In der Fehlermeldung heißt es: "apt-get -f install ohne Pakete ausführen":

Sudo apt-get install -f

Wenn dies nicht hilft, sind Ihre Pakete möglicherweise (teilweise) veraltet. Aktualisieren Sie sie, während Sie die Abhängigkeitsprobleme erneut beheben (-f):

Sudo apt-get update
Sudo apt-get upgrade -f

(Sie können auch maven an den letzteren Befehl anhängen, um zu versuchen, ihn zusammen mit den Upgrades und Abhängigkeits-Fixes auf einmal zu installieren.)

Wenn apt-get update selbst zu Fehlern führt, versuchen Sie, diese zu beheben, bevor Sie fortfahren. Suchen Sie auf Ask Ubuntu nach der Fehlermeldung1 oder eine neue Frage stellen.


1 Manchmal ist Google eine bessere Suchmaschine als die in Stack Exchange integrierte. Sie können eine Google-Suche mit dem Operator site: auf eine Domain beschränken, z. G. site:askubuntu.com Unmet dependencies.

2
David Foerster

Es sieht vielleicht blöd aus, aber hast du Sudo apt-get -f install ausgeführt, wie es empfohlen wird?

0
Anton Shevchuk